# SoapClient::__setCookie

(PHP 5 >= 5.0.4, PHP 7, PHP 8)

SoapClient::__setCookie — Definiert ein Cookie für Soap-Anfragen

### Beschreibung

public SoapClient::__setCookie(string `$name`, ?string `$value` = `null`): void

Definiert das Cookie, das bei SOAP-Anfragen gesendet werden soll.

> Hinweis:

> Das Aufrufen dieser Methode wirkt sich auf alle folgenden Aufrufe der SoapClient-Methoden aus.

### Parameter-Liste

`name`

  Name des Cookies.

`value`

  Wert des Cookies. Wenn kein Wert angegeben wurde, wird das Cookie gelöscht.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
8.0.0 | `value` ist nun ein Nullable-Typ.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open